## org.jCharts.test
Class StockTestDriver

    java.lang.Object
      org.jCharts.test.AxisChartTestBase
          org.jCharts.test.StockTestDriver

    public final class StockTestDriver

extends AxisChartTestBase

This file provides examples of how to create all the different chart types provided by this package.

Constructor Summary
`StockTestDriver()`

Method Summary
`(package private) static ChartTypeProperties` `getChartTypeProperties(int numberOfDataSets)` Separate this so can use for combo chart test
`(package private) DataSeries` `getDataSeries()` Test for LineChart
`(package private) boolean` `supportsImageMap()`

Methods inherited from class org.jCharts.test.AxisChartTestBase
`axisChartTest, createAxisChartDataSet, createDataSeries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StockTestDriver

    public StockTestDriver()

Method Detail

### supportsImageMap

    boolean supportsImageMap()

  Specified by:
    `supportsImageMap` in class `AxisChartTestBase`

### getChartTypeProperties

    static ChartTypeProperties getChartTypeProperties(int numberOfDataSets)

  Separate this so can use for combo chart test

### getDataSeries

    DataSeries getDataSeries()
                       throws ChartDataException

  Test for LineChart

  Specified by:
    `getDataSeries` in class `AxisChartTestBase`
  Throws:
    `ChartDataException`